Bug 116101 - mozilla-devel-1.4.1-18 doesn't build because of wrong reference to mozilla-config.h
Summary: mozilla-devel-1.4.1-18 doesn't build because of wrong reference to mozilla-co...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-18 10:00 UTC by fabio
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-25 08:00:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for mozilla-xpcom.pc (257 bytes, patch)
2004-02-25 17:21 UTC, Pavel Roskin
no flags Details | Diff

Description fabio 2004-02-18 10:00:06 UTC
Description of problem:
In file included from /usr/include/mozilla-1.4.1/xpcom/nsrootidl.h:11,
                 from /usr/include/mozilla-1.4.1/xpcom/nsISupports.h:10,
                 from Source/nsIScriptableMplayerPlugin.h:10,
                 from Source/nsScriptablePeer.h:48,
                 from Source/plugin.h:47,
                 from Source/plugin.cpp:38:
/usr/include/mozilla-1.4.1/xpcom/nscore.h:46:28: mozilla-config.h: No
such file or directory


Version-Release number of selected component (if applicable):
mozilla-devel-1.4.1-18

How reproducible:
always

Steps to Reproduce:
1.tar xzfv mplayerplug-in-2.11.tar.gz
2. cd mplayerplug-in ; ./configure
3. make
  
Actual results:
make fails

Expected results:
make should exit without errors

Additional info:

Comment 1 Pavel Roskin 2004-02-25 17:19:01 UTC
The title is misleading.  It should be "mplayerplug-in doesn't build".
The includes are extracted from /usr/lib/pkgconfig/mozilla-plugin.pc
by pkg-config:

$ pkg-config --cflags mozilla-plugin    
-I/usr/include/mozilla-1.4.1/java -I/usr/include/mozilla-1.4.1/plugin
-I/usr/include/mozilla-1.4.1/xpcom -I/usr/include/mozilla-1.4.1/string
-I/usr/include/mozilla-1.4.1/nspr  

What's missing here is -I/usr/include/mozilla-1.4.1 where
mozilla-config.h is located.  It's referenced by
/usr/include/mozilla-1.4.1/xpcom/nscore.h

Either mozilla-config.h should be moved to
/usr/include/mozilla-1.4.1/xpcom or the pkg-config file that lists
/usr/include/mozilla-1.4.1/xpcom should list
/usr/include/mozilla-1.4.1 as well.

Comment 2 Pavel Roskin 2004-02-25 17:21:57 UTC
Created attachment 98047 [details]
Patch for mozilla-xpcom.pc

This patch fixes build of mplayerplug-in


Note You need to log in before you can comment on or make changes to this bug.